Commit f49141f1 authored by Erik Andresen's avatar Erik Andresen

JPS_OLD_VERSION back to 0.5. all files with version number greater than

0.5 can be used now. (jpscore now works again with old compilation of
jpsvis)
parent 86c3464b
......@@ -73,10 +73,10 @@ bool GeoFileParser::LoadGeometry(Building* building)
double version = xmltof(xRootNode->Attribute("version"), -1);
if (version!=std::stod(JPS_VERSION) && version!=std::stod(JPS_OLD_VERSION)) {
if (version<std::stod(JPS_OLD_VERSION)) {
Log->Write(" \tWrong geometry version!");
Log->Write(" \tOnly version >= %s supported", JPS_VERSION);
Log->Write(" \tPlease update the version of your geometry file to %s", JPS_VERSION);
Log->Write(" \tOnly version >= %s supported", JPS_OLD_VERSION);
Log->Write(" \tPlease update the version of your geometry file to %s", JPS_OLD_VERSION);
return false;
}
......
......@@ -92,7 +92,7 @@ bool IniFileParser::Parse(std::string iniFile)
JPS_VERSION);
}
else if (std::stod(xMainNode->Attribute("version"))<std::stod(JPS_OLD_VERSION)) {
Log->Write("ERROR:\t Wrong header version. Only version %s is supported.", JPS_VERSION);
Log->Write("ERROR:\t Wrong header version. Only version greater than %s is supported.", JPS_OLD_VERSION);
return false;
}
......
......@@ -59,7 +59,7 @@
#define _SIMULATOR 1
//#define _USE_PROTOCOL_BUFFER 1
#define JPS_OLD_VERSION "0.7" // this version is still supported
#define JPS_OLD_VERSION "0.5" // this version is still supported
#define JPS_VERSION_MINOR "8"
#define JPS_VERSION_MAJOR "0"
......
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<geometry version="0.5" caption="FD1d" unit="m">
<geometry version="0.8" caption="FD1d" unit="m">
<rooms>
<room id="0" caption="corridor">
<subroom id="0" closed="0" class="subroom">
......
......@@ -1430,8 +1430,8 @@ bool GlobalRouter::LoadRoutingInfos(const std::string &filename)
}
string version = xRootNode->Attribute("version");
if (version != JPS_VERSION && version != JPS_OLD_VERSION) {
Log->Write("ERROR: \tOnly version %d.%d supported",JPS_VERSION_MAJOR,JPS_VERSION_MINOR);
if (version < JPS_OLD_VERSION) {
Log->Write("ERROR: \tOnly version greater than %d supported",JPS_OLD_VERSION);
Log->Write("ERROR: \tparsing routing file failed!");
return false;
}
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment